umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Functions
Codegen_Utils Namespace Reference

## Functions
QStringList | cppDatatypes ()
const QStringList | reservedCppKeywords ()
void | createCppStereotypes ()
QString | capitalizeFirstLetter (const QString &string)

## Function Documentation

## ◆ capitalizeFirstLetter()

QString Codegen_Utils::capitalizeFirstLetter | ( | const QString & | string | ) |

Return the input string with the first letter capitalized.

## ◆ cppDatatypes()

QStringList Codegen_Utils::cppDatatypes | ( |  | ) |

Return list of C++ datatypes.

## ◆ createCppStereotypes()

void Codegen_Utils::createCppStereotypes | ( |  | ) |

Add C++ stereotypes.

## ◆ reservedCppKeywords()

const QStringList Codegen_Utils::reservedCppKeywords | ( |  | ) |

Get list of C++ reserved keywords.